@import "../../../../../sotbit_origami/assets/scss/variables.scss";

.bx-authform-formgroup-container.bx-authform-formgroup-container--flat-remember .bx-filter-param-label {
    padding-left: 0;
}

.bx-authform-formgroup-container.bx-authform-formgroup-container--flat-remember input[type="checkbox"] {
    margin-left: 0;
}

/* AUTHORIZATION */

.bx-authform-label-container_important-label {
    display: inline-block;
    color: $main_color;
  }
  
  .bx-authform-formgroup-container {
  
    .bx-filter-param-label input:not(:checked):before {
      border: 1px solid #DADADA;
    }
  
    .authform-pass_labels-wrapper {
      display: flex;
      justify-content: space-between;
    }
  
    &.login_button {
      margin-bottom: 13px;
    }
  }
  
  .bx-authform1 .bx-authform-input-container {
    max-height: 40px;
  }
  
  .bx-authform-input-container input[type="text"], .bx-authform-input-container input[type="password"] {
    font-size: 13px;
  }
  
  .bx-authform-input-container > input::-webkit-input-placeholder {
    color: #808080;
  }
  .bx-authform-input-container > input::-moz-placeholder {
    color: #808080;
  }
  .bx-authform-input-container > input:-ms-input-placeholder {
    color: #808080;
  }
  .bx-authform-input-container > input:-moz-placeholder {
    color: #808080;
  }
  
  .auth-icon_password_hidden {
    fill: #fff;
    position: absolute;
    width: 18px;
    height: 18px;
    stroke: #808080;
    top: calc(50% - 9px);
    right: 15px;
  }
  
  .auth-login_socials {
    display: flex;
    margin-bottom: 15px;
  
    .login_social_icon {
      background-color: $main_color;
      width: 40px;
      height: 40px;
      margin-right: 10px;
      margin-bottom: 10px;
      border-radius: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      fill: #fff;
      cursor: pointer;
      transition: all 0.2s ease-in-out;
  
      &:hover {
        background-color: $main_color_hover;
      }
  
      .login_social_icon_svg-fb {
        width: 10px;
        height: 20px;
      }
  
      .login_social_icon_svg-vk {
        width: 20px;
        height: 12px;
      }
  
      .login_social_icon_svg-tw {
        width: 20px;
        height: 16px;
      }
  
      .login_social_icon_svg-google {
        width: 16px;
        height: 16px;
      }
  
      .login_social_icon_svg-mailru {
        width: 20px;
        height: 20px;
      }
  
      .login_social_icon_svg-ya {
        width: 10px;
        height: 20px;
      }
  
      .login_social_icon_svg-telega {
        width: 20px;
        height: 16px;
      }
  
      .login_social_icon_svg-ok {
        width: 12px;
        height: 20px;
      }
  
      .login_social_icon_svg-boxc {
        width: 26px;
        height: 14px;
      }
  
      .login_social_icon_svg-24 {
        width: 20px;
        height: 14px;
      }
    }
  }
  
  .auth-title-center > h1{
    text-align: center;
  }
  
  .registration_form-wrapper .bx-authform .bx-authform-formgroup-container.btn-registration {
    margin-bottom: 13px;
  }
  
  .bx-authform .registration-captcha_input-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-left: -15px;
  
    div:first-child {
      flex-grow: 1;
      margin-right: 15px;
    }
  
    .feedback_block__captcha_img {
      max-height: 39px;
      margin-left: 15px;
    }
  }
  
  .bx-authform-formgroup-container.btn-registration > input {
    min-width: 220px;
  }
  
  .registration_form-wrapper .bx-authform .feedback_block__captcha {
    margin-bottom: 30px;
  
    .feedback_block__captcha_input {
      order: 0;
      margin-top: 0;
      margin-left: 15px;
      margin-right: 0;
    }
  }
  
  .puzzle_block.no-padding {
    .registration_form-wrapper {
      display: flex;
      justify-content: center;
  
      .auth-login_socials {
        display: flex;
        margin-bottom: 15px;
  
        .login_social_icon {
          margin: 0 5px 10px 5px;
        }
      }
  
      .bx-authform {
        max-width: 390px;
        padding: 0 15px;
  
        .auth-login_socials {
          flex-wrap: wrap;
          justify-content: center;
        }
  
        .bx-authform-formgroup-container {
          &.login_button {
            display: flex;
            justify-content: center;
            margin-bottom: 13px;
          }
  
          &.reset_pass-btn {
            display: flex;
            justify-content: center;
            margin-bottom: 13px;
          }
        }
  
        & noindex > div {
          display: flex;
          justify-content: center;
        }
      }
    }
  }
  
  @media (max-width: 991px) {
    .registration_form-wrapper {
      display: flex;
      justify-content: center;
  
      .auth-login_socials {
        display: flex;
        margin-bottom: 15px;
  
        .login_social_icon {
          margin: 0 5px 10px 5px;
        }
      }
  
      .bx-authform {
        max-width: 390px;
        padding: 0 15px;
        margin-bottom: 0;
  
        .auth-login_socials {
          flex-wrap: wrap;
          justify-content: center;
        }
  
        .bx-authform-formgroup-container.login_button {
          display: flex;
          justify-content: center;
          margin-bottom: 13px;
        }
  
        .bx-authform-formgroup-container.btn-registration {
          display: flex;
          justify-content: center;
          margin-bottom: 13px;
        }
  
        .bx-authform-formgroup-container.reset_pass-btn {
          display: flex;
          justify-content: center;
        }
  
        & noindex > div {
          display: flex;
          justify-content: center;
        }
      }
  
      .bx-authform-link-container {
        text-align: center;
      }
    }
  }
  
  
  
  /* / END AUTHORIZATION */